package lucbors.blogspot.com.feedback.view.beans;

import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.event.ActionEvent;

import oracle.adf.model.BindingContext;
import oracle.adf.view.rich.component.rich.RichPopup;
import oracle.adf.view.rich.context.AdfFacesContext;

import oracle.binding.BindingContainer;

import oracle.binding.OperationBinding;

import org.apache.myfaces.trinidad.render.ExtendedRenderKitService;
import org.apache.myfaces.trinidad.util.Service;

public class FeedBackBean {
    private RichPopup feedbackDialog;

    public FeedBackBean() {
    }

    public BindingContainer getBindings() {
        return BindingContext.getCurrent().getCurrentBindingsEntry();
    }

    public void actionListener(ActionEvent actionEvent) {
        // Add event code here...

        FacesContext context = FacesContext.getCurrentInstance();
        BindingContainer bindings = getBindings();
        OperationBinding ob = bindings.getOperationBinding("Commit");
        ob.execute();

        if (AdfFacesContext.getCurrentInstance().isPartialRequest(context)) {
            ExtendedRenderKitService erks =
                Service.getRenderKitService(context,
                                            ExtendedRenderKitService.class);
            erks.addScript(context, " Fade('#fadeanim');");
        }

//       RichPopup popup = getFeedbackDialog();
//       RichPopup.PopupHints hints = new RichPopup.PopupHints();
//       popup.show(hints);

    }

    public void setFeedbackDialog(RichPopup feedbackDialog) {
        this.feedbackDialog = feedbackDialog;
    }

    public RichPopup getFeedbackDialog() {
        return feedbackDialog;
    }
}
